## Constants

Constants — Constant values and strings

## Synopsis

    extern              const unsigned int raptor_rdf_namespace_uri_len;
    extern              const unsigned int raptor_xml_literal_datatype_uri_string_len;
    #define             RAPTOR_RDF_MS_URI
    #define             RAPTOR_RDF_SCHEMA_URI
    #define             RAPTOR_XMLSCHEMA_DATATYPES_URI
    #define             RAPTOR_OWL_URI

## Description

Version numbers and often-used namespace URI strings.

## Details

### raptor_rdf_namespace_uri_len

    extern const unsigned int raptor_rdf_namespace_uri_len;

Length of raptor_rdf_namespace_uri string

### raptor_xml_literal_datatype_uri_string_len

    extern const unsigned int raptor_xml_literal_datatype_uri_string_len;

Length of raptor_xml_literal_datatype_uri_string

### RAPTOR_RDF_MS_URI

    #define RAPTOR_RDF_MS_URI raptor_rdf_namespace_uri

RDF Namespace URI (rdf:).

Copy with `raptor_uri_copy()` to use.

### RAPTOR_RDF_SCHEMA_URI

    #define RAPTOR_RDF_SCHEMA_URI raptor_rdf_schema_namespace_uri

RDF Schema Namespace URI (rdfs:).

Copy with `raptor_uri_copy()` to use.

### RAPTOR_XMLSCHEMA_DATATYPES_URI

    #define RAPTOR_XMLSCHEMA_DATATYPES_URI raptor_xmlschema_datatypes_namespace_uri

XML Schema Datatypes URI (xsd:).

Copy with `raptor_uri_copy()` to use.

### RAPTOR_OWL_URI

    #define RAPTOR_OWL_URI raptor_owl_namespace_uri

OWL Namespace URI (owl:).

Copy with `raptor_uri_copy()` to use.